Bug 1031764 - (CVE-2013-6631) CVE-2013-6631 libjingle: use-after-free flaw
CVE-2013-6631 libjingle: use-after-free flaw
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131112,repor...
: Security
Depends On: 1031765
Blocks: 1030229
  Show dependency treegraph
 
Reported: 2013-11-18 12:34 EST by Vincent Danen
Modified: 2016-03-04 06:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 15:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-11-18 12:34:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6631 to
the following vulnerability:

Name: CVE-2013-6631
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6631
Assigned: 20131105
Reference: http://googlechromereleases.blogspot.com/2013/11/stable-channel-update.html
Reference: https://code.google.com/p/chromium/issues/detail?id=296804
Reference: https://code.google.com/p/webrtc/source/detail?r=4827
Reference: https://webrtc-codereview.appspot.com/2275008

Use-after-free vulnerability in the Channel::SendRTCPPacket function
in voice_engine/channel.cc in libjingle in WebRTC, as used in Google
Chrome before 31.0.1650.48 and other products, allows remote attackers
to cause a denial of service (heap memory corruption) or possibly have
unspecified other impact via vectors that trigger the absence of
certain statistics initialization, leading to the skipping of a
required DeRegisterExternalTransport call.
Comment 1 Vincent Danen 2013-11-18 12:37:07 EST
Created libjingle tracking bugs for this issue:

Affects: fedora-all [bug 1031765]

Note You need to log in before you can comment on or make changes to this bug.